<?php
/*
  $Id: products_availiability.php,v 1.03 2003/11/09

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2003 osCommerce

  Released under the GNU General Public License
*/

  require('includes/application_top.php');

  $action = (isset($HTTP_GET_VARS['action']) ? $HTTP_GET_VARS['action'] : '');

  if (tep_not_null($action)) {
    switch ($action) {
      case 'insert':
      case 'save':
        if (isset($HTTP_GET_VARS['mID'])) $products_availability_id = tep_db_prepare_input($HTTP_GET_VARS['mID']);

        $languages = tep_get_languages();
        for ($i=0, $n=sizeof($languages); $i<$n; $i++) {
          $products_availability_name_array = $HTTP_POST_VARS['products_availability_name'];
          $language_id = $languages[$i]['id'];

          $sql_data_array = array('products_availability_name' => tep_db_prepare_input($products_availability_name_array[$language_id]));

          if ($action == 'insert') {
            if (empty($products_availability_id)) {
              $next_id_query = tep_db_query("select max(products_availability_id) as products_availability_id from " . TABLE_PRODUCTS_AVAILABILITY . "");
              $next_id = tep_db_fetch_array($next_id_query);
              $products_availability_id = $next_id['products_availability_id'] + 1;
            }

            $insert_sql_data = array('products_availability_id' => $products_availability_id,
                                     'language_id' => $language_id);

            $sql_data_array = array_merge($sql_data_array, $insert_sql_data);

            tep_db_perform(TABLE_PRODUCTS_AVAILABILITY, $sql_data_array);
          } elseif ($action == 'save') {
            tep_db_perform(TABLE_PRODUCTS_AVAILABILITY, $sql_data_array, 'update', "products_availability_id = '" . (int)$products_availability_id . "' and language_id = '" . (int)$language_id . "'");
          }
        }


        tep_redirect(tep_href_link(FILENAME_PRODUCTS_AVAILABILITY, 'page=' . $HTTP_GET_VARS['page'] . '&mID=' . $products_availability_id));
        break;
      case 'deleteconfirm':
        $mID = tep_db_prepare_input($HTTP_GET_VARS['mID']);

        tep_db_query("delete from " . TABLE_PRODUCTS_AVAILABILITY . " where products_availability_id = '" . tep_db_input($mID) . "'");

        tep_redirect(tep_href_link(FILENAME_PRODUCTS_AVAILABILITY, 'page=' . $HTTP_GET_VARS['page']));
        break;
      case 'delete':
        $mID = tep_db_prepare_input($HTTP_GET_VARS['mID']);

        $status_query = tep_db_query("select count(*) as count from " . TABLE_ORDERS . " where orders_status = '" . (int)$mID . "'");
        $status = tep_db_fetch_array($status_query);

        $remove_status = true;

    }
  }
?>
<!doctype html public "-//W3C//DTD HTML 4.01 Transitional//EN">
<html <?php echo HTML_PARAMS; ?>>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo CHARSET; ?>">
<title><?php echo TITLE; ?></title>
<link rel="stylesheet" type="text/css" href="includes/stylesheet.css">
<script language="javascript" src="includes/general.js"></script>
</head>
<body marginwidth="0" marginheight="0" topmargin="0" bottommargin="0" leftmargin="0" rightmargin="0" bgcolor="#FFFFFF" onload="SetFocus();">
<!-- header //-->
<?php require(DIR_WS_INCLUDES . 'header.php'); ?>
<!-- header_eof //-->

<!-- body //-->
<table border="0" width="100%" cellspacing="2" cellpadding="2">
  <tr>
    <td width="<?php echo BOX_WIDTH; ?>" valign="top"><table border="0" width="<?php echo BOX_WIDTH; ?>" cellspacing="1" cellpadding="1" class="columnLeft">
<!-- left_navigation //-->
<?php require(DIR_WS_INCLUDES . 'column_left.php'); ?>
<!-- left_navigation_eof //-->
    </table></td>
<!-- body_text //-->
    <td width="100%" valign="top"><table border="0" width="100%" cellspacing="0" cellpadding="2">
      <tr>
        <td><table border="0" width="100%" cellspacing="0" cellpadding="0">
          <tr>
            <td class="pageHeading"><?php echo HEADING_TITLE; ?></td>
            <td class="pageHeading" align="right"><?php echo tep_draw_separator('pixel_trans.gif', HEADING_IMAGE_WIDTH, HEADING_IMAGE_HEIGHT); ?></td>
          </tr>
        </table></td>
      </tr>
      <tr>
        <td valign="top"><table border="0" width="100%" cellspacing="0" cellpadding="0">
          <tr>
            <td valign="top"><table border="0" width="100%" cellspacing="0" cellpadding="2">
              <tr class="dataTableHeadingRow">
                <td class="dataTableHeadingContent"><?php echo TABLE_HEADING_PRODUCTS_AVAILABILITY; ?></td>
                <td class="dataTableHeadingContent" align="right"><?php echo TABLE_HEADING_ACTION; ?>&nbsp;</td>
              </tr>
<?php
  $products_availability_query_raw = "select products_availability_id, products_availability_name from " . TABLE_PRODUCTS_AVAILABILITY . " where language_id = '" . (int)$languages_id . "' order by products_availability_id";
  $products_availability_split = new splitPageResults($HTTP_GET_VARS['page'], MAX_DISPLAY_SEARCH_RESULTS, $products_availability_query_raw, $products_availability_query_numrows);
  $products_availability_query = tep_db_query($products_availability_query_raw);
  while ($products_availability = tep_db_fetch_array($products_availability_query)) {
    if ((!isset($HTTP_GET_VARS['mID']) || (isset($HTTP_GET_VARS['mID']) && ($HTTP_GET_VARS['mID'] == $products_availability['products_availability_id']))) && !isset($mInfo) && (substr($action, 0, 3) != 'new')) {
      $mInfo = new objectInfo($products_availability);
    }

    if (isset($mInfo) && is_object($mInfo) && ($products_availability['products_availability_id'] == $mInfo->products_availability_id)) {
      echo '                  <tr id="defaultSelected" class="dataTableRowSelected" onmouseover="rowOverEffect(this)" onmouseout="rowOutEffect(this)" onclick="document.location.href=\'' . tep_href_link(FILENAME_PRODUCTS_AVAILABILITY, 'page=' . $HTTP_GET_VARS['page'] . '&mID=' . $mInfo->products_availability_id . '&action=edit') . '\'">' . "\n";
    } else {
      echo '                  <tr class="dataTableRow" onmouseover="rowOverEffect(this)" onmouseout="rowOutEffect(this)" onclick="document.location.href=\'' . tep_href_link(FILENAME_PRODUCTS_AVAILABILITY, 'page=' . $HTTP_GET_VARS['page'] . '&mID=' . $products_availability['products_availability_id']) . '\'">' . "\n";
    }

    if (DEFAULT_PRODUCTS_AVAILABILITY_ID == $products_availability['products_availability_id']) {
      echo '                <td class="dataTableContent"><b>' . $products_availability['products_availability_name'] . ' (' . TEXT_DEFAULT . ')</b></td>' . "\n";
    } else {
      echo '                <td class="dataTableContent">' . $products_availability['products_availability_name'] . '</td>' . "\n";
    }
?>
                <td class="dataTableContent" align="right"><?php if (isset($mInfo) && is_object($mInfo) && ($products_availability['products_availability_id'] == $mInfo->products_availability_id)) { echo tep_image(DIR_WS_IMAGES . 'icon_arrow_right.gif', ''); } else { echo '<a href="' . tep_href_link(FILENAME_PRODUCTS_AVAILABILITY, 'page=' . $HTTP_GET_VARS['page'] . '&mID=' . $products_availability['products_availability_id']) . '">' . tep_image(DIR_WS_IMAGES . 'icon_info.gif', IMAGE_ICON_INFO) . '</a>'; } ?>&nbsp;</td>
              </tr>
<?php
  }
?>
              <tr>
                <td colspan="2"><table border="0" width="100%" cellspacing="0" cellpadding="2">
                  <tr>
                    <td class="smallText" valign="top"><?php echo $products_availability_split->display_count($products_availability_query_numrows, MAX_DISPLAY_SEARCH_RESULTS, $HTTP_GET_VARS['page'], TEXT_DISPLAY_NUMBER_OF_PRODUCTS_AVAILABILITY); ?></td>
                    <td class="smallText" align="right"><?php echo $products_availability_split->display_links($products_availability_query_numrows, MAX_DISPLAY_SEARCH_RESULTS, MAX_DISPLAY_PAGE_LINKS, $HTTP_GET_VARS['page']); ?></td>
                  </tr>
<?php
  if (empty($action)) {
?>
                  <tr>
                    <td colspan="2" align="right"><?php echo '<a href="' . tep_href_link(FILENAME_PRODUCTS_AVAILABILITY, 'page=' . $HTTP_GET_VARS['page'] . '&action=new') . '">' . tep_image_button('button_insert.gif', IMAGE_INSERT) . '</a>'; ?></td>
                  </tr>
<?php
  }
?>
                </table></td>
              </tr>
            </table></td>
<?php
  $heading = array();
  $contents = array();

  switch ($action) {
    case 'new':
      $heading[] = array('text' => '<b>' . TEXT_HEADING_NEW_PRODUCTS_AVAILABILITY . '</b>');

      $contents = array('form' => tep_draw_form('status', FILENAME_PRODUCTS_AVAILABILITY, 'page=' . $HTTP_GET_VARS['page'] . '&action=insert'));
      $contents[] = array('text' => TEXT_INSERT_INTRO);

      $products_availability_inputs_string = '';
      $languages = tep_get_languages();
      for ($i=0, $n=sizeof($languages); $i<$n; $i++) {
        $products_availability_inputs_string .= '<br>' . tep_image(DIR_WS_CATALOG_LANGUAGES . $languages[$i]['directory'] . '/images/' . $languages[$i]['image'], $languages[$i]['name']) . '&nbsp;' . tep_draw_input_field('products_availability_name[' . $languages[$i]['id'] . ']');
      }

      $contents[] = array('text' => '<br>' . TEXT_PRODUCTS_AVAILABILITY_NAME . $products_availability_inputs_string);
      $contents[] = array('align' => 'center', 'text' => '<br>' . tep_image_submit('button_insert.gif', IMAGE_INSERT) . ' <a href="' . tep_href_link(FILENAME_PRODUCTS_AVAILABILITY, 'page=' . $HTTP_GET_VARS['page']) . '">' . tep_image_button('button_cancel.gif', IMAGE_CANCEL) . '</a>');
      break;
    case 'edit':
      $heading[] = array('text' => '<b>' . TEXT_HEADING_EDIT_PRODUCTS_AVAILABILITY . '</b>');

      $contents = array('form' => tep_draw_form('status', FILENAME_PRODUCTS_AVAILABILITY, 'page=' . $HTTP_GET_VARS['page'] . '&mID=' . $mInfo->products_availability_id  . '&action=save'));
      $contents[] = array('text' => TEXT_EDIT_INTRO);

      $products_availability_inputs_string = '';
      $languages = tep_get_languages();
      for ($i=0, $n=sizeof($languages); $i<$n; $i++) {
        $products_availability_inputs_string .= '<br>' . tep_image(DIR_WS_CATALOG_LANGUAGES . $languages[$i]['directory'] . '/images/' . $languages[$i]['image'], $languages[$i]['name']) . '&nbsp;' . tep_draw_input_field('products_availability_name[' . $languages[$i]['id'] . ']', tep_get_products_availability_name($mInfo->products_availability_id, $languages[$i]['id']));
      }

      $contents[] = array('text' => '<br>' . TEXT_PRODUCTS_AVAILABILITY_NAME . $products_availability_inputs_string);
      $contents[] = array('align' => 'center', 'text' => '<br>' . tep_image_submit('button_update.gif', IMAGE_UPDATE) . ' <a href="' . tep_href_link(FILENAME_PRODUCTS_AVAILABILITY, 'page=' . $HTTP_GET_VARS['page'] . '&mID=' . $mInfo->products_availability_id) . '">' . tep_image_button('button_cancel.gif', IMAGE_CANCEL) . '</a>');
      break;
    case 'delete':
      $heading[] = array('text' => '<b>' . TEXT_HEADING_DELETE_PRODUCTS_AVAILABILITY . '</b>');

      $contents = array('form' => tep_draw_form('status', FILENAME_PRODUCTS_AVAILABILITY, 'page=' . $HTTP_GET_VARS['page'] . '&mID=' . $mInfo->products_availability_id  . '&action=deleteconfirm'));
      $contents[] = array('text' => TEXT_DELETE_INTRO);
      $contents[] = array('text' => '<br><b>' . $mInfo->orders_status_name . '</b>');
      if ($remove_status) $contents[] = array('align' => 'center', 'text' => '<br>' . tep_image_submit('button_delete.gif', IMAGE_DELETE) . ' <a href="' . tep_href_link(FILENAME_PRODUCTS_AVAILABILITY, 'page=' . $HTTP_GET_VARS['page'] . '&mID=' . $mInfo->products_availability_id) . '">' . tep_image_button('button_cancel.gif', IMAGE_CANCEL) . '</a>');
      break;
    default:
      if (isset($mInfo) && is_object($mInfo)) {
        $heading[] = array('text' => '<b>' . $mInfo->products_availability_name . '</b>');

        $contents[] = array('align' => 'center', 'text' => '<a href="' . tep_href_link(FILENAME_PRODUCTS_AVAILABILITY, 'page=' . $HTTP_GET_VARS['page'] . '&mID=' . $mInfo->products_availability_id . '&action=edit') . '">' . tep_image_button('button_edit.gif', IMAGE_EDIT) . '</a> <a href="' . tep_href_link(FILENAME_PRODUCTS_AVAILABILITY, 'page=' . $HTTP_GET_VARS['page'] . '&mID=' . $mInfo->products_availability_id . '&action=delete') . '">' . tep_image_button('button_delete.gif', IMAGE_DELETE) . '</a>');

        $products_availability_inputs_string = '';
        $languages = tep_get_languages();
        for ($i = 0, $n = sizeof($languages); $i < $n; $i++) {
          $products_availability_inputs_string .= '<br>' . tep_image(DIR_WS_CATALOG_LANGUAGES . $languages[$i]['directory'] . '/images/' . $languages[$i]['image'], $languages[$i]['name']) . '&nbsp;' . tep_get_products_availability_name($mInfo->products_availability_id, $languages[$i]['id']);
        }

        $contents[] = array('text' => $products_availability_inputs_string);
      }
      break;
  }

  if ( (tep_not_null($heading)) && (tep_not_null($contents)) ) {
    echo '            <td width="25%" valign="top">' . "\n";

    $box = new box;
    echo $box->infoBox($heading, $contents);

    echo '            </td>' . "\n";
  }
?>
          </tr>
        </table></td>
      </tr>
    </table></td>
<!-- body_text_eof //-->
  </tr>
</table>
<!-- body_eof //-->

<!-- footer //-->
<?php require(DIR_WS_INCLUDES . 'footer.php'); ?>
<!-- footer_eof //-->
<br>
</body>
</html>
<?php require(DIR_WS_INCLUDES . 'application_bottom.php'); ?>